ON_3fPoint Class Reference

`#include <pcl/surface/3rdparty/opennurbs/opennurbs_fpoint.h>`

## Public Member Functions

| ON_3fPoint ()
| ON_3fPoint (float x, float y, float z)
| ON_3fPoint (const ON_2fPoint &)
| ON_3fPoint (const ON_4fPoint &)
| ON_3fPoint (const ON_2fVector &)
| ON_3fPoint (const ON_3fVector &)
| ON_3fPoint (const float *)
| ON_3fPoint (const ON_2dPoint &)
| ON_3fPoint (const ON_3dPoint &)
| ON_3fPoint (const ON_4dPoint &)
| ON_3fPoint (const ON_2dVector &)
| ON_3fPoint (const ON_3dVector &)
| ON_3fPoint (const double *)
| operator float * ()
| operator const float * () const
ON_3fPoint & | operator= (const ON_2fPoint &)
ON_3fPoint & | operator= (const ON_4fPoint &)
ON_3fPoint & | operator= (const ON_2fVector &)
ON_3fPoint & | operator= (const ON_3fVector &)
ON_3fPoint & | operator= (const float *)
ON_3fPoint & | operator= (const ON_2dPoint &)
ON_3fPoint & | operator= (const ON_3dPoint &)
ON_3fPoint & | operator= (const ON_4dPoint &)
ON_3fPoint & | operator= (const ON_2dVector &)
ON_3fPoint & | operator= (const ON_3dVector &)
ON_3fPoint & | operator= (const double *)
ON_3fPoint & | operator*= (float)
ON_3fPoint & | operator/= (float)
ON_3fPoint & | operator+= (const ON_3fPoint &)
ON_3fPoint & | operator+= (const ON_3fVector &)
ON_3fPoint & | operator-= (const ON_3fPoint &)
ON_3fPoint & | operator-= (const ON_3fVector &)
ON_3fPoint | operator* (int) const
ON_3fPoint | operator/ (int) const
ON_3fPoint | operator* (float) const
ON_3fPoint | operator/ (float) const
ON_3dPoint | operator* (double) const
ON_3dPoint | operator/ (double) const
ON_3fPoint | operator+ (const ON_3fPoint &) const
ON_3fPoint | operator+ (const ON_3fVector &) const
ON_3fVector | operator- (const ON_3fPoint &) const
ON_3fPoint | operator- (const ON_3fVector &) const
ON_3fPoint | operator+ (const ON_2fPoint &) const
ON_3fPoint | operator+ (const ON_2fVector &) const
ON_3fVector | operator- (const ON_2fPoint &) const
ON_3fPoint | operator- (const ON_2fVector &) const
ON_3dPoint | operator+ (const ON_3dPoint &) const
ON_3dPoint | operator+ (const ON_3dVector &) const
ON_3dVector | operator- (const ON_3dPoint &) const
ON_3dPoint | operator- (const ON_3dVector &) const
ON_3dPoint | operator+ (const ON_2dPoint &) const
ON_3dPoint | operator+ (const ON_2dVector &) const
ON_3dVector | operator- (const ON_2dPoint &) const
ON_3dPoint | operator- (const ON_2dVector &) const
float | operator* (const ON_3fPoint &) const
float | operator* (const ON_3fVector &) const
float | operator* (const ON_4fPoint &) const
bool | operator== (const ON_3fPoint &) const
bool | operator!= (const ON_3fPoint &) const
bool | operator<= (const ON_3fPoint &) const
bool | operator>= (const ON_3fPoint &) const
bool | operator< (const ON_3fPoint &) const
bool | operator> (const ON_3fPoint &) const
float & | operator[] (int)
float | operator[] (int) const
float & | operator[] (unsigned int)
float | operator[] (unsigned int) const
void | Set (float, float, float)
double | DistanceTo (const ON_3fPoint &) const
int | MaximumCoordinateIndex () const
double | MaximumCoordinate () const
double | Fuzz (double=ON_ZERO_TOLERANCE) const
void | Zero ()
void | Transform (const ON_Xform &)
void | Rotate (double, const ON_3fVector &, const ON_3fPoint &)
void | Rotate (double, double, const ON_3fVector &, const ON_3fPoint &)

## Public Attributes

float | x
float | y
float | z

## Static Public Attributes

static const ON_3fPoint | Origin

## Detailed Description

Definition at line 174 of file opennurbs_fpoint.h.

## Constructor & Destructor Documentation

## ON_3fPoint() [1/13]

ON_3fPoint::ON_3fPoint | ( |  | ) |

## ON_3fPoint() [2/13]

ON_3fPoint::ON_3fPoint | ( | float | x,
|  | float | y,
|  | float | z
| ) |  |

## ON_3fPoint() [3/13]

ON_3fPoint::ON_3fPoint | ( | const ON_2fPoint & |  | ) |

## ON_3fPoint() [4/13]

ON_3fPoint::ON_3fPoint | ( | const ON_4fPoint & |  | ) |

## ON_3fPoint() [5/13]

ON_3fPoint::ON_3fPoint | ( | const ON_2fVector & |  | ) |

## ON_3fPoint() [6/13]

ON_3fPoint::ON_3fPoint | ( | const ON_3fVector & |  | ) |

## ON_3fPoint() [7/13]

ON_3fPoint::ON_3fPoint | ( | const float * |  | ) |

## ON_3fPoint() [8/13]

ON_3fPoint::ON_3fPoint | ( | const ON_2dPoint & |  | ) |

## ON_3fPoint() [9/13]

ON_3fPoint::ON_3fPoint | ( | const ON_3dPoint & |  | ) |

## ON_3fPoint() [10/13]

ON_3fPoint::ON_3fPoint | ( | const ON_4dPoint & |  | ) |

## ON_3fPoint() [11/13]

ON_3fPoint::ON_3fPoint | ( | const ON_2dVector & |  | ) |

## ON_3fPoint() [12/13]

ON_3fPoint::ON_3fPoint | ( | const ON_3dVector & |  | ) |

## ON_3fPoint() [13/13]

ON_3fPoint::ON_3fPoint | ( | const double * |  | ) |

## Member Function Documentation

## DistanceTo()

double ON_3fPoint::DistanceTo | ( | const ON_3fPoint & |  | ) | const

## Fuzz()

double ON_3fPoint::Fuzz | ( | double | = `ON_ZERO_TOLERANCE` | ) | const

## MaximumCoordinate()

double ON_3fPoint::MaximumCoordinate | ( |  | ) | const

## MaximumCoordinateIndex()

int ON_3fPoint::MaximumCoordinateIndex | ( |  | ) | const

## operator const float *()

ON_3fPoint::operator const float * | ( |  | ) | const

## operator float *()

ON_3fPoint::operator float * | ( |  | ) |

## operator!=()

bool ON_3fPoint::operator!= | ( | const ON_3fPoint & |  | ) | const

## operator*() [1/6]

ON_3fPoint ON_3fPoint::operator* | ( | int |  | ) | const

## operator*() [2/6]

ON_3fPoint ON_3fPoint::operator* | ( | float |  | ) | const

## operator*() [3/6]

ON_3dPoint ON_3fPoint::operator* | ( | double |  | ) | const

## operator*() [4/6]

float ON_3fPoint::operator* | ( | const ON_3fPoint & |  | ) | const

## operator*() [5/6]

float ON_3fPoint::operator* | ( | const ON_3fVector & |  | ) | const

## operator*() [6/6]

float ON_3fPoint::operator* | ( | const ON_4fPoint & |  | ) | const

## operator*=()

ON_3fPoint& ON_3fPoint::operator*= | ( | float |  | ) |

## operator+() [1/8]

ON_3fPoint ON_3fPoint::operator+ | ( | const ON_3fPoint & |  | ) | const

## operator+() [2/8]

ON_3fPoint ON_3fPoint::operator+ | ( | const ON_3fVector & |  | ) | const

## operator+() [3/8]

ON_3fPoint ON_3fPoint::operator+ | ( | const ON_2fPoint & |  | ) | const

## operator+() [4/8]

ON_3fPoint ON_3fPoint::operator+ | ( | const ON_2fVector & |  | ) | const

## operator+() [5/8]

ON_3dPoint ON_3fPoint::operator+ | ( | const ON_3dPoint & |  | ) | const

## operator+() [6/8]

ON_3dPoint ON_3fPoint::operator+ | ( | const ON_3dVector & |  | ) | const

## operator+() [7/8]

ON_3dPoint ON_3fPoint::operator+ | ( | const ON_2dPoint & |  | ) | const

## operator+() [8/8]

ON_3dPoint ON_3fPoint::operator+ | ( | const ON_2dVector & |  | ) | const

## operator+=() [1/2]

ON_3fPoint& ON_3fPoint::operator+= | ( | const ON_3fPoint & |  | ) |

## operator+=() [2/2]

ON_3fPoint& ON_3fPoint::operator+= | ( | const ON_3fVector & |  | ) |

## operator-() [1/8]

ON_3fVector ON_3fPoint::operator- | ( | const ON_3fPoint & |  | ) | const

## operator-() [2/8]

ON_3fPoint ON_3fPoint::operator- | ( | const ON_3fVector & |  | ) | const

## operator-() [3/8]

ON_3fVector ON_3fPoint::operator- | ( | const ON_2fPoint & |  | ) | const

## operator-() [4/8]

ON_3fPoint ON_3fPoint::operator- | ( | const ON_2fVector & |  | ) | const

## operator-() [5/8]

ON_3dVector ON_3fPoint::operator- | ( | const ON_3dPoint & |  | ) | const

## operator-() [6/8]

ON_3dPoint ON_3fPoint::operator- | ( | const ON_3dVector & |  | ) | const

## operator-() [7/8]

ON_3dVector ON_3fPoint::operator- | ( | const ON_2dPoint & |  | ) | const

## operator-() [8/8]

ON_3dPoint ON_3fPoint::operator- | ( | const ON_2dVector & |  | ) | const

## operator-=() [1/2]

ON_3fPoint& ON_3fPoint::operator-= | ( | const ON_3fPoint & |  | ) |

## operator-=() [2/2]

ON_3fPoint& ON_3fPoint::operator-= | ( | const ON_3fVector & |  | ) |

## operator/() [1/3]

ON_3fPoint ON_3fPoint::operator/ | ( | int |  | ) | const

## operator/() [2/3]

ON_3fPoint ON_3fPoint::operator/ | ( | float |  | ) | const

## operator/() [3/3]

ON_3dPoint ON_3fPoint::operator/ | ( | double |  | ) | const

## operator/=()

ON_3fPoint& ON_3fPoint::operator/= | ( | float |  | ) |

## operator<()

bool ON_3fPoint::operator< | ( | const ON_3fPoint & |  | ) | const

## operator<=()

bool ON_3fPoint::operator<= | ( | const ON_3fPoint & |  | ) | const

## operator=() [1/11]

ON_3fPoint& ON_3fPoint::operator= | ( | const ON_2fPoint & |  | ) |

## operator=() [2/11]

ON_3fPoint& ON_3fPoint::operator= | ( | const ON_4fPoint & |  | ) |

## operator=() [3/11]

ON_3fPoint& ON_3fPoint::operator= | ( | const ON_2fVector & |  | ) |

## operator=() [4/11]

ON_3fPoint& ON_3fPoint::operator= | ( | const ON_3fVector & |  | ) |

## operator=() [5/11]

ON_3fPoint& ON_3fPoint::operator= | ( | const float * |  | ) |

## operator=() [6/11]

ON_3fPoint& ON_3fPoint::operator= | ( | const ON_2dPoint & |  | ) |

## operator=() [7/11]

ON_3fPoint& ON_3fPoint::operator= | ( | const ON_3dPoint & |  | ) |

## operator=() [8/11]

ON_3fPoint& ON_3fPoint::operator= | ( | const ON_4dPoint & |  | ) |

## operator=() [9/11]

ON_3fPoint& ON_3fPoint::operator= | ( | const ON_2dVector & |  | ) |

## operator=() [10/11]

ON_3fPoint& ON_3fPoint::operator= | ( | const ON_3dVector & |  | ) |

## operator=() [11/11]

ON_3fPoint& ON_3fPoint::operator= | ( | const double * |  | ) |

## operator==()

bool ON_3fPoint::operator== | ( | const ON_3fPoint & |  | ) | const

## operator>()

bool ON_3fPoint::operator> | ( | const ON_3fPoint & |  | ) | const

## operator>=()

bool ON_3fPoint::operator>= | ( | const ON_3fPoint & |  | ) | const

## operator[]() [1/4]

float& ON_3fPoint::operator[] | ( | int |  | ) |

## operator[]() [2/4]

float ON_3fPoint::operator[] | ( | int |  | ) | const

## operator[]() [3/4]

float& ON_3fPoint::operator[] | ( | unsigned | int | ) |

## operator[]() [4/4]

float ON_3fPoint::operator[] | ( | unsigned | int | ) | const

## Rotate() [1/2]

void ON_3fPoint::Rotate | ( | double | ,
|  | const ON_3fVector & | ,
|  | const ON_3fPoint & |
| ) |  |

## Rotate() [2/2]

void ON_3fPoint::Rotate | ( | double | ,
|  | double | ,
|  | const ON_3fVector & | ,
|  | const ON_3fPoint & |
| ) |  |

## Set()

void ON_3fPoint::Set | ( | float | ,
|  | float | ,
|  | float |
| ) |  |

## Transform()

void ON_3fPoint::Transform | ( | const ON_Xform & |  | ) |

## Zero()

void ON_3fPoint::Zero | ( |  | ) |

## Member Data Documentation

## Origin

const ON_3fPoint ON_3fPoint::Origin

static

Definition at line 179 of file opennurbs_fpoint.h.

## x

float ON_3fPoint::x

Definition at line 177 of file opennurbs_fpoint.h.

## y

float ON_3fPoint::y

Definition at line 177 of file opennurbs_fpoint.h.

## z

float ON_3fPoint::z

Definition at line 177 of file opennurbs_fpoint.h.

The documentation for this class was generated from the following file:

- /build/pcl-qv3n_B/pcl-1.8.1+dfsg1/surface/include/pcl/surface/3rdparty/opennurbs/opennurbs_fpoint.h